Delete Free Days from Employees in Planner
curl --request DELETE \
--url https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2026-02-10",
"to": "2026-02-12",
"employeeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days"
payload = {
"from": "2026-02-10",
"to": "2026-02-12",
"employeeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '2026-02-10',
to: '2026-02-12',
employeeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "",
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}Planners
Delete Free Days from Employees in Planner
Removes free days within a date range for a list of employees in the given planner.
DELETE
/
schedule
/
v1
/
planners
/
{plannerId}
/
free-days
Delete Free Days from Employees in Planner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The planner ID
Body
application/json
Was this page helpful?
⌘I